// This file defines the packet format for the application

#ifndef SMAC_WRAPPER_MSG
#define SMAC_WRAPPER_MSG

// Include TOS_Msg defination
#include "AM.h"

// define max packet length in Phy
#define MAC_HEADER_LEN 9
#define PHY_MAX_PKT_LEN (MAC_HEADER_LEN + sizeof(TOS_Msg) + 2)

// needs to define PHY_MAX_PKT_LEN before include SMACMsg.h
#include "SMACMsg.h"

typedef struct {
   MACHeader macHdr;   // include lower-layer header first
   TOS_Msg tosMsg;
   int16_t crc;
} WrapMsg;

#endif
